org.apache.solr.core

## Class CloudConfig

- java.lang.Object
- - org.apache.solr.core.CloudConfig

-     public class CloudConfig
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CloudConfig.CloudConfigBuilder`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAutoReplicaFailoverBadNodeExpiration()`
    `int` | `getAutoReplicaFailoverWaitAfterExpiration()`
    `int` | `getAutoReplicaFailoverWorkLoopDelay()`
    `int` | `getCreateCollectionWaitTimeTillActive()`
    `boolean` | `getGenericCoreNodeNames()`
    `String` | `getHost()`
    `int` | `getLeaderConflictResolveWait()`
    `int` | `getLeaderVoteWait()`
    `String` | `getSolrHostContext()`
    `int` | `getSolrHostPort()`
    `String` | `getZkACLProviderClass()`
    `int` | `getZkClientTimeout()`
    `String` | `getZkCredentialsProviderClass()`
    `String` | `getZkHost()`
    `boolean` | `isCreateCollectionCheckLeaderActive()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getZkHost

          public String getZkHost()

    - #### getZkClientTimeout

          public int getZkClientTimeout()

    - #### getSolrHostPort

          public int getSolrHostPort()

    - #### getSolrHostContext

          public String getSolrHostContext()

    - #### getHost

          public String getHost()

    - #### getZkCredentialsProviderClass

          public String getZkCredentialsProviderClass()

    - #### getZkACLProviderClass

          public String getZkACLProviderClass()

    - #### getLeaderVoteWait

          public int getLeaderVoteWait()

    - #### getLeaderConflictResolveWait

          public int getLeaderConflictResolveWait()

    - #### getAutoReplicaFailoverWaitAfterExpiration

          public int getAutoReplicaFailoverWaitAfterExpiration()

    - #### getAutoReplicaFailoverWorkLoopDelay

          public int getAutoReplicaFailoverWorkLoopDelay()

    - #### getAutoReplicaFailoverBadNodeExpiration

          public int getAutoReplicaFailoverBadNodeExpiration()

    - #### getGenericCoreNodeNames

          public boolean getGenericCoreNodeNames()

    - #### getCreateCollectionWaitTimeTillActive

          public int getCreateCollectionWaitTimeTillActive()

    - #### isCreateCollectionCheckLeaderActive

          public boolean isCreateCollectionCheckLeaderActive()

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.